Subject: Re: Percona

From: Lisa Kachold <[email-masked]>
Date: Mon, 13 Feb 2012 11:27:17 -0700

Hi Eric!

On Sun, Feb 12, 2012 at 5:09 PM, Eric Cope <[email-masked]> wrote:

> I've tried, but haven't been able to get it installed using standard
> centOS packages because of php MySQL extension misalignments. The PHP
> extension required MySQL 5.1, but I installed 5.5. If you get a path to
> installing it, I'd be interested especially if you can get sphinx compiled
> along with it.
>

Installing from source:
http://www.percona.com/doc/percona-server/5.5/installation.html#installing-percona-server-from-a-source-tarball
Percona doesn't provide the Sphinx Storage Engine, but includes it, as
example, in their "installing from source" reference above.

Your choices are:
1) Pull and replace all required packages for PHP and PHP-MSQL using the
EPEL or REMI repo to replace them (as in this example):
http://www.andresmontalban.com/update-centos-5-php-5-1-to-php-5-3/ being
sure to change the last line to "# yum –-enablerepo=remi update php php-*
mysql"
Then build your source including Sphinx.

2) Pull and compile from source php to mysql with mysql-devel included.

Have you tried to just use the Percona repo and install their binaries
(won't provide Sphinx of course) but it's sweet?

http://www.percona.com/doc/percona-server/5.5/installation.html

> Eric
>
>
> On Feb 12, 2012, at 4:57 PM, Lisa Kachold <[email-masked]> wrote:
>
> Has anyone used Percona?
>
> http://www.percona.com/software/
>
>
>    - Percona Server with XtraDB<http://www.percona.com/software/percona-server/>is our database server, with high performance and scalability
>    - Percona XtraBackup<http://www.percona.com/software/percona-xtrabackup/>is the world's only open-source hot backup solution for InnoDB and XtraDB
>    - Percona XtraDB <http://www.percona.com/software/percona-xtradb/> is
>    our high-performance storage engine for MySQL, based on InnoDB
>    - Percona XtraDB Cluster<http://www.percona.com/software/percona-xtradb-cluster/>is a new high availability and high scalability solution for MySQL users.
>    - Percona Data Recovery Tool for InnoDB<http://www.percona.com/software/mysql-innodb-data-recovery-tools/>is a set of tools for recovering data from InnoDB's data files
>    - The tcprstat tool <http://www.percona.com/docs/wiki/tcprstat:start>is a TCP response-time analysis tool
>    - Percona LogJam<http://www.percona.com/docs/wiki/percona-logjam:start>is a high-performance workload reproduction tool
>    - Percona Tools <https://launchpad.net/perconatools> includes clones
>    of the standard TPC-C and TCP-E benchmarks designed for MySQL
>    - The benchworks tool<http://www.percona.com/docs/wiki/benchworks:start>is a framework for rapidly creating benchmarks and analyzing the results
>    - Percona Toolkit <http://www.percona.com/software/percona-toolkit/>is a collection of advanced command-line tools used by Percona support
>    staff to perform a variety of MySQL and system tasks that are too difficult
>    or complex to perform manually
>
> It's pretty impressive.
>
>
>
>
>
>
> --
> (503) 754-4452 Android
> (623) 239-3392 Skype
> (623) 688-3392 Google Voice
> **
> it-clowns.com
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
> ---------------------------------------------------
> PLUG-discuss mailing list - [email-masked]
> To subscribe, unsubscribe, or to change your mail settings:
> http://lists.PLUG.phoenix.az.us/mailman/listinfo/plug-discuss
>
>
> ---------------------------------------------------
> PLUG-discuss mailing list - [email-masked]
> To subscribe, unsubscribe, or to change your mail settings:
> http://lists.PLUG.phoenix.az.us/mailman/listinfo/plug-discuss
>

-- 
(503) 754-4452 Android
(623) 239-3392 Skype
(623) 688-3392 Google Voice
**
it-clowns.com
---------------------------------------------------
PLUG-discuss mailing list - [email-masked]
To subscribe, unsubscribe, or to change your mail settings:
http://lists.PLUG.phoenix.az.us/mailman/listinfo/plug-discuss